Bug 37070 - Servlets not recognized as MBeans
Servlets not recognized as MBeans
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
Unknown
Other other
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-10-13 12:06 UTC by Sebastian Davids
Modified: 2006-10-24 16:17 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Davids 2005-10-13 12:06:44 UTC
public class MyServlet extends HttpServlet implements MyServletMBean {
  public void getFoo() { return "foo"; }
}

public interface MyServletMBean {
  void getFoo();
}

@@@

http://jakarta.apache.org/tomcat/tomcat-5.5-doc/catalina/funcspecs/mbean-names.html

states "FIXME - Not yet identified as an MBean".

Couldn't find a bug tracking this issue.

Is there a workaround in the meantime?
Comment 1 Yoav Shapira 2005-11-23 22:56:02 UTC
The workaround depends on what you want to do: can you do the MBean stuff in a
non-Servlet class?  What is your use-case?
Comment 2 Mark Thomas 2006-10-24 16:17:25 UTC
I have fixed the docs and it is possible to register servlet as an MBean. As a
question on the users list if you need help on how to do this.